#
# spec file for package perl-App-CLI
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-App-CLI
Version:        0.313
Release:        19.1
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name App-CLI
Summary:        Dispatcher module for command line interface programs
Url:            http://search.cpan.org/dist/App-CLI/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/C/CO/CORNELIUS/App-CLI-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Getopt::Long) >= 2.35
BuildRequires:  perl(Pod::Simple::Text)
%{perl_requires}

%description
'App::CLI' dispatches CLI (command line interface) based commands into
command classes. It also supports subcommand and per-command options.

get_opt([@config], %opt_map)
        give options map, process by Getopt::Long::Parser

interface of dispatcher

cmd_map($cmd)
    find package name of subcommand in constant %alias

    if it's finded, return ucfirst of the package name,

    otherwise, return ucfirst of $cmd itself.

get_cmd($cmd, @arg)
    return subcommand of first level via $ARGV[0]

%prep
%setup -q -n %{cpan_name}-%{version}
# disable auto_install();
%{__perl} -p -i -e 's|^auto_install.*|#(1)|' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes

%changelog
* Thu Nov 17 2011 coolo@suse.com
- use original tar
* Mon Aug 22 2011 chris@computersalat.de
- fix deps
- disable auto_install
* Mon Mar 14 2011 coolo@novell.com
- update to 0.313
  * doc update
  * new cascading attribute for subcommands. thanks to @shelling++.
  * New Feature: Cascading Subcommand
  * Deprecated Feature: Long Option Subcommand (still work)
  * Abundant DOCs
  * Fix the command pattern used in help.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Nov 27 2010 coolo@novell.com
- recreate with cpanspec 1.78.02 and recompress tar
* Sun May 23 2010 coolo@novell.com
- do not build noarch
* Sun Feb 14 2010 coolo@novell.com
- update to 0.08
  * Allow commands to be provided as inner packages
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Aug  6 2007 mrueckert@suse.de
- initial package of version 0.07
  (based on the buildservice package from dmacvicar)
